Namespace
library
Image / Tag
consul:1.12.6
Content Digest
sha256:4dce476b684b658e6a22b2a64eed16a1b33052fa255beaf70dbe4aa55cc03ceb
Details
Created

2022-10-20 22:39:08 UTC

Size

46.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 5.81% (2.7 MB)

[#001] sha256:66e8a70d3699a7d5fac506f6a0ba4c679af437fa8d0039ee0ecf8bec641d38b5 - 0.0% (1.21 KB)

[#002] sha256:172f4d811d49e6a0d97fa8d9218b69ffc164cee3962b0769e1725aeef107f49c - 94.18% (43.7 MB)

[#003] sha256:6ecef6af5a3802b54d56bc1d703f5a1d078280b091c88894979a36000c3c7b91 - 0.0% (142 Bytes)

[#004] sha256:9173c858084e1b4859769e873c4a7c7f1f94fc3bf20c3424cd597e4b61752332 - 0.0% (153 Bytes)

[#005] sha256:8ec720085247d3883ce601e3d4875cd10737568f0647224dc04569be60e1b772 - 0.0% (1.75 KB)


History
2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /

2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-10-20 22:38:49 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.6

2022-10-20 22:38:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-10-20 22:38:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-10-20 22:38:52 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-10-20 22:38:59 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-10-20 22:39:00 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-10-20 22:39:01 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-10-20 22:39:02 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-10-20 22:39:03 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-10-20 22:39:04 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-10-20 22:39:05 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-10-20 22:39:07 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-10-20 22:39:07 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-10-20 22:39:08 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-10-20 22:19:50 UTC

Size

47.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 5.7% (2.69 MB)

[#001] sha256:209242f96fda74b1a639617f4142b5f7ffa4e9c256a171c56fcff3c4e114e993 - 0.0% (1.24 KB)

[#002] sha256:08b682db2167ecc99968981f03df83845098054e1847459d35325b195f16f4c0 - 94.3% (44.6 MB)

[#003] sha256:2b339551b0464217749058feccecc01bd03d2ea319ed10efabf0df458163bc1d - 0.0% (174 Bytes)

[#004] sha256:c5f912e922e249c816acc84577902adc529a8943800ce591502905f3652fe603 - 0.0% (154 Bytes)

[#005] sha256:91df91f08206d3c2ee0e640031e790ca36cbf600842771381324969ad587f7b1 - 0.0% (1.75 KB)


History
2022-08-09 17:20:00 UTC

/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /

2022-08-09 17:20:01 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-10-20 22:19:41 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.6

2022-10-20 22:19:41 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-10-20 22:19:42 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-10-20 22:19:42 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-10-20 22:19:48 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-10-20 22:19:48 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-10-20 22:19:49 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-10-20 22:19:49 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-10-20 22:19:49 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-10-20 22:19:49 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-10-20 22:19:49 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-10-20 22:19:49 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-10-20 22:19:50 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-10-20 22:19:50 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-11-10 21:46:44 UTC

Size

45.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 5.55% (2.51 MB)

[#001] sha256:d1151804df74760a58044c678dfc979d3fb19fa2130cdd3b39aef76073bb03af - 0.0% (1.21 KB)

[#002] sha256:5c15450d5500fc9deb4d91eaec6399780acf54aba109ebeb8e06cbf9f0da98f7 - 94.45% (42.7 MB)

[#003] sha256:7fcedc6a861ef5218084290f89193413b69d543f9dc7b1d83991e2b9597c6fca - 0.0% (143 Bytes)

[#004] sha256:a56b39e49a0d69aa2ab7622ed1816935358b7b13fca8d65713ad69d96679ef8e - 0.0% (155 Bytes)

[#005] sha256:64ed6357b018d72e24434cafb87c4c38eae58fe2a95353a78933d80cabf2615b - 0.0% (1.75 KB)


History
2022-11-10 20:49:36 UTC

/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /

2022-11-10 20:49:36 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-10 21:46:26 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.6

2022-11-10 21:46:27 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-11-10 21:46:27 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-11-10 21:46:29 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-11-10 21:46:38 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-11-10 21:46:40 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-11-10 21:46:41 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-11-10 21:46:42 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-11-10 21:46:42 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-11-10 21:46:43 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-11-10 21:46:43 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-11-10 21:46:44 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-11-10 21:46:44 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-11-10 21:46:44 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-11-10 21:58:57 UTC

Size

45 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 5.76% (2.59 MB)

[#001] sha256:b72da3ce6eaa1ef2e62dc478e3852a30a184e3e72a6d993eecb7c0b5ebd0d0df - 0.0% (1.24 KB)

[#002] sha256:d434724d3a5d1e86f185d3b9c7b20c9d2522faabb62d912e151e89fe9b234f58 - 94.23% (42.4 MB)

[#003] sha256:5f6c3dbe69939a92b6a26dcc7ba3fc4272666337e9362b0c41e47d551aaeb0db - 0.0% (174 Bytes)

[#004] sha256:7b09f578a37a5ce2c77511deba4ecb5345f0f96451579931b998c5b4e81a7865 - 0.0% (154 Bytes)

[#005] sha256:99d70e28fb6b9086b3dcd0cffca475563cb1dd5e8cef728ffec5d13782aee1d8 - 0.0% (1.75 KB)


History
2022-11-10 20:39:46 UTC

/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /

2022-11-10 20:39:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-11-10 21:58:50 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.6

2022-11-10 21:58:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-11-10 21:58:50 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-11-10 21:58:51 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-11-10 21:58:55 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-11-10 21:58:56 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-11-10 21:58:57 UTC

|1 CONSUL_VERSION=1.12.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-11-10 21:58:57 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-11-10 21:58:57 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-11-10 21:58:57 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-11-10 21:58:57 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-11-10 21:58:57 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-11-10 21:58:57 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-11-10 21:58:57 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]